import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { AdDeliveryGlobalLotBlacklist } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-28 10:30
 */
interface AdDeliveryGlobalLotBlacklistCU extends ConditionUtil<AdDeliveryGlobalLotBlacklistCU>{
    LOT_ID:FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    DEL_FLAG:FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    CREATE_TIME:FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    CREATOR:FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    UPDATE_TIME:FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    UPDATOR:FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
}

class AdDeliveryGlobalLotBlacklistCUImpl extends ConditionUtilImpl<AdDeliveryGlobalLotBlacklistCUImpl> implements AdDeliveryGlobalLotBlacklistCU{ 
    newInstance(): AdDeliveryGlobalLotBlacklistCUImpl {
        return new AdDeliveryGlobalLotBlacklistCUImpl();
    } 
    get LOT_ID(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>{  
        return new FieldUtil('lot_id','lotId','车场id', this);
    }
    get DEL_FLAG(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>{  
        return new FieldUtil('del_flag','delFlag','是否删除', this);
    }
    get CREATE_TIME(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>{  
        return new FieldUtil('create_time','createTime','', this);
    }
    get CREATOR(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>{  
        return new FieldUtil('creator','creator','', this);
    }
    get UPDATE_TIME(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>{  
        return new FieldUtil('update_time','updateTime','', this);
    }
    get UPDATOR(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>{  
        return new FieldUtil('updator','updator','', this);
    }
}

@Singleton 
class AdDeliveryGlobalLotBlacklistMU extends TableUtilImpl<AdDeliveryGlobalLotBlacklistCU,AdDeliveryGlobalLotBlacklist>{ 
    tableName  = 'ad_delivery_global_lot_blacklist';
    tableFields  = ['lot_id','del_flag','create_time','creator','update_time','updator'];
    modelFields  = ['lotId','delFlag','createTime','creator','updateTime','updator'];
    modelIdFields  = ['lotId','delFlag'];
    tableIdFields  = ['lot_id','del_flag'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): AdDeliveryGlobalLotBlacklistCU {
        return new AdDeliveryGlobalLotBlacklistCUImpl();
    }   

    static get LOT_ID(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>{ 
        return new FieldUtil('lot_id','lotId','车场id', new AdDeliveryGlobalLotBlacklistCUImpl());
    }
    static get DEL_FLAG(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>{ 
        return new FieldUtil('del_flag','delFlag','是否删除', new AdDeliveryGlobalLotBlacklistCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>{ 
        return new FieldUtil('create_time','createTime','', new AdDeliveryGlobalLotBlacklistCUImpl());
    }
    static get CREATOR(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>{ 
        return new FieldUtil('creator','creator','', new AdDeliveryGlobalLotBlacklistCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>{ 
        return new FieldUtil('update_time','updateTime','', new AdDeliveryGlobalLotBlacklistCUImpl());
    }
    static get UPDATOR(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>{ 
        return new FieldUtil('updator','updator','', new AdDeliveryGlobalLotBlacklistCUImpl());
    }

    get LOT_ID(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>{ 
        return AdDeliveryGlobalLotBlacklistMU.LOT_ID;
    }
    get DEL_FLAG(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>{ 
        return AdDeliveryGlobalLotBlacklistMU.DEL_FLAG;
    }
    get CREATE_TIME(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>{ 
        return AdDeliveryGlobalLotBlacklistMU.CREATE_TIME;
    }
    get CREATOR(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>{ 
        return AdDeliveryGlobalLotBlacklistMU.CREATOR;
    }
    get UPDATE_TIME(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>{ 
        return AdDeliveryGlobalLotBlacklistMU.UPDATE_TIME;
    }
    get UPDATOR(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>{ 
        return AdDeliveryGlobalLotBlacklistMU.UPDATOR;
    }
}
export {AdDeliveryGlobalLotBlacklistMU, AdDeliveryGlobalLotBlacklistCU}
